Subject: bug#61552: Feature request: Add variable Man-prefer-synchronous-call

From: Robert Pluim <[email-masked]>
Date: Tue, 21 Feb 2023 15:47:11 +0100

>>>>> On Tue, 21 Feb 2023 14:08:35 +0000, Sebastian Tennant <[email-masked]> said:

    >> (and add a description to the manual, if that makes sense)

    Sebastian> Sure.  I didn't think reading manpages would have an entry in the
    Sebastian> manual but, sure enough, it does:

Everything in Emacs should be in the manual :-)

    Sebastian>  (info "(emacs) Man Page")

    Sebastian> I shall edit doc/emacs/programs.texi accordingly.

    >> […]
    >>> (defcustom Man-prefer-synchronous-call nil
    >>> "Non-nil means always call the Un*x man command synchronously,
    >>> rather than asynchronously, which is the default behaviour."
    >> 
    >> The first line should be a complete sentence. Something like
    >> 
    >> "Whether to call the Un*x 'manʼ command synchronously."

    Sebastian> How about this:

    Sebastian>  "Control whether the Un*x 'man' command is called synchronously or
    Sebastian>   asynchronously.  (Asynchronous is the default)."

Sorry, I meant "a complete sentence, and only taking up one screen
line, not exceeding `emacs-lisp-docstring-fill-column'", ie

    Whether to call the Un*x 'man' command synchronously.
    When this is non-nil call 'man' synchronously instead of the default
    asynchronous behaviour.

since `apropos' displays only the first line

Robert
--